GETRAWPARTITION(3) | Library Functions Manual | GETRAWPARTITION(3)

# NAME

`getrawpartition` — get the system “raw” partition

# LIBRARY

System Utilities Library (libutil, -lutil)

# SYNOPSIS

`#include <util.h>`

int
`getrawpartition`(void);

# DESCRIPTION

`getrawpartition`() returns the partition number (0 for ‘`a`’, 1 for ‘`b`’, etc) of the “raw” partition of the system's disks, or -1 in case of an error, setting the global errno variable. The possible values for errno are the same as in sysctl(3). The “raw” partition is defined as the partition which provides access to the entire disk, regardless of the disk's partition map.

# SEE ALSO

getmaxpartitions(3), sysctl(3)

# HISTORY

The `getrawpartition`() function call appeared in NetBSD 1.2.

May 4, 2010 | NetBSD 11.0